Page MenuHomePhabricator

Release 6.2
Closed, ResolvedPublic

Description

Release version: 6.2
Release tag:
Release SHA1:
App Store Submission Date: 2/19/2019
App Store Approval Date: 2/21/2019
App Store Release Date: 2/21/2019
Regression Testing URL: See task


Pre-release

  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Post to mobile-l when Beta is approved for external testing
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Related Objects

StatusAssignedTask
ResolvedJMinor
ResolvedJohan

Event Timeline

LGoto created this task.Feb 12 2019, 6:56 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptFeb 12 2019, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor updated the task description. (Show Details)Feb 13 2019, 6:10 PM
JMinor triaged this task as High priority.
JMinor updated the task description. (Show Details)Feb 21 2019, 9:25 PM
LGoto updated the task description. (Show Details)Feb 22 2019, 1:26 AM

@JMinor Over to you for mobile-l posting. Thanks!

JMinor updated the task description. (Show Details)Feb 22 2019, 5:18 PM
JMinor closed this task as Resolved.